curl --request POST \
--url https://api.sippet.ai/api/api_keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"key_type": "publishable",
"name": "<string>",
"expires_at": "<unknown>"
},
"relationships": {},
"type": "ApiKey"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"key_type": "publishable",
"name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "<unknown>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"relationships": {
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
},
"user": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}/api_keys operation on ApiKey resource
curl --request POST \
--url https://api.sippet.ai/api/api_keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"key_type": "publishable",
"name": "<string>",
"expires_at": "<unknown>"
},
"relationships": {},
"type": "ApiKey"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"key_type": "publishable",
"name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "<unknown>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"relationships": {
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
},
"user": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}JWT for bearer authentication
Relationship paths to include in the response
^()(,())*$Limits the response fields to only those listed for each type
Show child attributes
{
"ApiKey": "id,name,key_type,expires_at,organisation_id,user_id"
}Request body for the /api_keys operation on ApiKey resource
Show child attributes
Was this page helpful?